| Haskell Hierarchical Libraries (Cabal package) | Source code | Contents | Index

Distribution.Simple.SrcDist

Portability | portable
Stability | alpha
Maintainer | Isaac Jones <ijones@syntaxpolice.org>

Description
Synopsis

sdist :: PackageDescription -> SDistFlags -> FilePath -> FilePath -> [PPSuffixHandler] -> IO ()

Documentation
sdist

:: PackageDescription |
-> SDistFlags |
-> FilePath | build prefix (temp dir)
-> FilePath | TargetPrefix
-> [PPSuffixHandler] | extra preprocessors (includes suffixes)
-> IO () |
Create a source distribution. FIX: Calls tar directly (won't work on windows).

Produced by Haddock version 0.8